Retrieve a redaction
Retrieve a redaction by ID. Session users must be account admins.
curl --request GET \
--url https://api.yorlet.com/v1/redactions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.yorlet.com/v1/redactions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.yorlet.com/v1/redactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created": 123,
"object": "redaction",
"customer": "<string>",
"error": "<string>",
"redacted_at": 123,
"redacted_objects": [
{
"id": "<string>",
"object": "<string>"
}
],
"status": "processing",
"account": "<string>",
"deleted": false
}Authorizations
API Key authentication. Use "Bearer YOUR_API_KEY".
Path Parameters
The id identifier.
Response
Returns the redaction if a valid identifier was provided.
Unique identifier for the object.
Time at which the object was created. Measured in seconds since the Unix epoch.
redaction The ID of the customer this redaction applies to.
A human-readable error message when status is failed.
Time at which the redaction completed. Measured in seconds since the Unix epoch.
Objects whose personally identifiable information was wiped, such as customer, invoice, application, tenancy, payment_method, verification_session, and verification_report.
Show child attributes
Show child attributes
The status of the redaction. processing while PII is being wiped, redacted when complete, and failed when the job could not finish.
processing, redacted, failed The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.
Only returned if the object has been deleted.
Was this page helpful?
